Summary: An improved version of cron
Summary(fr): Une version amelioree de cron
Name: ucrond
Version: 1.2.4
Release: 1
Packager: Arnaud Gomes-do-Vale <arnaud@carrosse.frmug.org>
Group: Daemons
Source0: ucrond-%{version}.tar.gz
Source1: ucrond.init
Source2: crontab.main
Source3: ucrond.log
Patch0: ucrond-redhat.patch
Copyright: GPL
Buildroot: /var/tmp/ucron-root
Prereq: /sbin/chkconfig
Obsoletes: vixie-cron

%changelog
* Fri Mar 19 1999 Arnaud Gomes-do-Vale <arnaud@carrosse.frmug.org>
- upgraded to 1.2.4

* Mon Mar 15 1999 Arnaud Gomes-do-Vale <arnaud@carrosse.frmug.org>
- upgraded to 1.2.3

* Thu Feb 18 1999 Arnaud Gomes-do-Vale <arnaud@carrosse.frmug.org>
- upgraded to 1.2.0

* Fri Jan 29 1999 Arnaud Gomes-do-Vale <arnaud@carrosse.frmug.org>
- upgraded to 1.1.1

* Mon Jan 18 1999 Arnaud Gomes-do-Vale <gomesdv@mail.dotcom.fr>
- fixed initialization problem: ucrond user to start before NIS

* Tue Jan 05 1999 Arnaud Gomes-do-Vale <gomesdv@mail.dotcom.fr>
- upgraded to 1.1.0

* Thu Nov 19 1998 Arnaud Gomes-do-Vale <gomesdv@mail.dotcom.fr>
- fixed init scripts

* Sun Nov 08 1998 Arnaud Gomes-do-Vale <gomesdv@mail.dotcom.fr>
- upgraded to 1.0.7

* Sun Sep 27 1998 Arnaud Gomes-do-Vale <gomesdv@mail.dotcom.fr>
- added a real crontab.main file (made from /etc/crontab from RH 5.1)

* Sat Sep 19 1998 Arnaud Gomes-do-Vale <gomesdv@mail.dotcom.fr>
- upgraded to 1.0.5

* Mon Sep 07 1998 Arnaud Gomes-do-Vale <gomesdv@mail.dotcom.fr>
- translations for fr
- modified description
- changed crontabs directory from /var/lib/crontabs to /var/spool/cron

* Sun Aug 30 1998 Arnaud Gomes-do-Vale <gomesdv@mail.dotcom.fr>
- first RPM package for ucrond-0.2
- added init scripts

%description
cron is a standard UNIX program that runs user-specified programs at
periodic scheduled times. Unlike the standard Unix cron, ucrond takes
care on system shutdowns and starts commands after reboot if necessary.

%description -l fr
cron est un des programmes UNIX standard qui permet  un utilisateur donn
de lancer des priodiquement des programmes selon un ordre planifi.
Au contraire du cron Unix standard, ucrond fait attention aux arrts du
systme et lance des commandes aprs le reboot si ncessaire.


%prep
%setup0
%patch0 -p1

%build
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"

%install
make install

mkdir -p $RPM_BUILD_ROOT/etc/rc.d/{init.d,rc{0,1,2,3,4,5,6}.d}
install -m755 $RPM_SOURCE_DIR/ucrond.init $RPM_BUILD_ROOT/etc/rc.d/init.d/crond
cd $RPM_BUILD_ROOT/etc/rc.d
ln -sf ../init.d/crond rc0.d/K60crond
ln -sf ../init.d/crond rc1.d/K60crond
ln -sf ../init.d/crond rc2.d/S80crond
ln -sf ../init.d/crond rc3.d/S80crond
ln -sf ../init.d/crond rc5.d/S80crond
ln -sf ../init.d/crond rc6.d/K60crond

mkdir -p $RPM_BUILD_ROOT/etc/logrotate.d
install -m644 $RPM_SOURCE_DIR/ucrond.log $RPM_BUILD_ROOT/etc/logrotate.d/cron

cp $RPM_SOURCE_DIR/crontab.main $RPM_BUILD_ROOT/var/spool/cron/

%files
%doc COPYING README crontab.sample conf.h
/usr/sbin/crond
/usr/bin/crontab
/usr/bin/dtime
/usr/man/man1/crontab.1
/usr/man/man1/dtime.1
/usr/man/man8/crond.8

%dir /var/spool/cron

%config(missingok) /etc/rc.d/rc0.d/K60crond
%config(missingok) /etc/rc.d/rc1.d/K60crond
%config(missingok) /etc/rc.d/rc2.d/S80crond
%config(missingok) /etc/rc.d/rc3.d/S80crond
%config(missingok) /etc/rc.d/rc5.d/S80crond
%config(missingok) /etc/rc.d/rc6.d/K60crond
%config /etc/rc.d/init.d/crond
%config /etc/logrotate.d/cron
%config /var/spool/cron/crontab.main
 
%clean
rm -rf $RPM_BUILD_ROOT

